<template>
    <span  v-if="maxCount">
        <span v-for="(member, key) in members" :key="member.id">
            <v-tooltip top :disabled="tooltip" v-if="maxCount > key">
                <template v-slot:activator="{ on }">
                    <v-avatar size="26px" v-on="on">
                        <v-img v-if="member.avatar_url" :src="member.avatar_url"></v-img>
                        <v-img v-else :src="'https://ui-avatars.com/api/?name=' + member.name"></v-img>
                    </v-avatar>
                </template>
                <span>
                    {{ member.name }}
                </span>
            </v-tooltip>
            <v-tooltip top :disabled="tooltip" v-if="maxCount == key">
                <template v-slot:activator="{ on }">
                    <v-avatar size="26px" v-on="on">
                        <v-img :src="'https://ui-avatars.com/api/?name=...'"></v-img>
                    </v-avatar>
                </template>
                <span>
                    ....
                </span>
            </v-tooltip>
        </span>
    </span>
    <span  v-else>
        <span v-for="(member, key) in members" :key="member.id">
            <v-tooltip top :disabled="tooltip">
                <template v-slot:activator="{ on }">
                    <v-avatar size="26px" v-on="on">
                        <v-img v-if="member.avatar_url" :src="member.avatar_url"></v-img>
                        <v-img v-else :src="'https://ui-avatars.com/api/?name=' + member.name"></v-img>
                    </v-avatar>
                </template>
                <span>
                    {{ member.name }}
                </span>
            </v-tooltip>
        </span>
    </span>
</template>
<script>
export default {
    props: ['members', 'tooltip', 'maxCount'],
};
</script>
